Qt 5.9 | Qt 3D | C++ Classes | QFrameAction

Qt 5.9.3 Reference Documentation

# QFrameAction Class

(Qt3DLogic::QFrameAction)

Provides a way to have a synchronous function executed each frame. More...

Header: | #include <QFrameAction>
qmake: | QT += 3dlogic
Since: | Qt 5.5
Instantiated By: | FrameAction
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Public Functions

| QFrameAction(Qt3DCore::QNode *parent = nullptr)

- 2 public functions inherited from Qt3DCore::QComponent
- 11 public functions inherited from Qt3DCore::QNode

## Signals

void | triggered(float dt)

- 3 signals inherited from Qt3DCore::QComponent
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 property inherited from Qt3DCore::QComponent
- 3 properties inherited from Qt3DCore::QNode
- 1 public slot inherited from Qt3DCore::QComponent
- 3 public slots inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Provides a way to have a synchronous function executed each frame.

The QFrameAction provides a way to perform tasks each frame in a synchronized way with the Qt3D backend. This is useful to implement some aspects of application logic and to prototype functionality that can later be folded into an additional Qt3D aspect.

For example, the QFrameAction can be used to animate a property in sync with the Qt3D engine where a Qt Quick animation element is not perfectly synchronized and may lead to stutters in some cases.

To execute your own code each frame connect to the QFrameAction::triggered signal.

## Member Function Documentation

### QFrameAction::QFrameAction(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QFrameAction.

### `[signal]` void QFrameAction::triggered(float dt)

This signal is emitted each frame with dt being the time since the last triggering.